# Class CIM_ProcessThread
extends CIM_Component

A link between a Process and the Thread(s) running in the context of this Process.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ProcessThread

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | A link between a Process and the Thread(s) running in the context of this Process.
UMLPackagePath | string | CIM::System::Processing
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ProcessThread | CIM_Process
PartComponent | CIM_ProcessThread | CIM_Thread

## Class Methods